
/**
 * ATKIS-EDBS-Reader to read EDBS-File, convert and write it to an Oracle database
 * Copyright (C) 2000  Stephan Falke, Carsten Kleiner, University of Hannover
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package parser;

import java.io.*;
import javax.swing.filechooser.*;

/**
 * Der FileFilter ist eine abstract-class, daher diese einfache Klasse.
 * @author <A href="mailto:fad@gmx.ch">Stephan Falke</A>
 */
class MyFileFilter extends javax.swing.filechooser.FileFilter {
	
	/**
	 * Liefert <tt>true</tt> wenn der Dateien die vorgesehene Endung hat oder
	 * es sich um ein Verzeichnis handelt.
	 */
	public boolean accept(File f) {
		return(f.getName().toUpperCase().endsWith(Constants.EDBS_FILE_NAME_ENDING) || f.isDirectory());
	}
		
	/**
	 * Liefert den Namen des Dateifilters, hier <it>ATKIS</it>
	 */
	public String getDescription() {
		return(Constants.FILE_DESCRIBTION);
	}
}
