
/**
 * ATKIS-EDBS-Reader to read EDBS-File, convert and write it to an Oracle database
 * Copyright (C) 2000  Stephan Falke, Carsten Kleiner, University of Hannover
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package parser;

import java.io.*;

/**
 * Dieser <tt>FileOutputStream</tt> speichert zus&auml;tzlich den Namen der Datei,
 * f&uuml;r den dieser erstellt wurde, falls er mit einem Filenamen konstruiert 
 * wurde. 
 * @author <A href="mailto:fad@gmx.ch">Stephan Falke</A>
 */
class MyFileOutputStream extends FileOutputStream {
	
	/**
	 * der Dateiname
	 */
	private String filename = new String();
	
	/**
	 * liefert den Dateinamen, der Datei, mit der dieser <tt>FileOutputStream</tt>
	 * verbunden ist
	 * @return den Dateinamen der verbundenen Datei
	 */
	public String getFilename () {
		return(filename);
	} 
	/**
	 * wie ein normaler <tt>FileOutputStream</tt>, jedoch wird der Dateiname 
	 * gespeichert
	 */
	public MyFileOutputStream (String name) throws FileNotFoundException {
		super(name);
		filename = name;
	}
}
